#
# spec file for package libgcj (Version 2.95.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gjava gpp libgpp tetex texinfo
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext gjava glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         libgcj
Prefix:       /usr
Copyright:    GPL
Group:        System Environment/Libraries
Autoreqprov:  on
Version:      2.95.1
Release:      193
Summary:      Java runtime library for gcc
Buildroot:    /tmp/libgcj-root
Source:       ftp://sources.redhat1.com/pub/java/libgcj-%{version}.tar.bz2
Patch:        libgcj-sigcontext.dif
Patch1:       libgcj-cni_h.dif
Patch2:       libgcj-exception_cc.dif
Patch3:       libgcj-jvm_h.dif
Patch4:       libgcj-boolean.dif
Patch5:       libgcj-boehm_gc.dif
Patch6:       libgcj-misc.dif

%description
This library is needed, if you want to use the GNU Java compiler gcj.
Source code for this package is in gcc, series zq.

SuSE series: d

%package devel
Summary:      Java development libraries for gcc
Group:        Development/Libraries
Requires:     gjava gcc libgcj
Autoreqprov:  on

%description devel
Java development libraries for gcc

SuSE series: d

%prep
%setup
%patch
%patch1
%patch2
%patch3
%patch4
%patch5 -p1
%patch6 -p1
%{suse_update_config -f }

%build
mkdir obj-%{_target_cpu}
cd obj-%{_target_cpu}
%ifarch ppc sparc
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
	../configure --enable-shared \
	--prefix=/usr --with-local-prefix=/usr/local \
	--infodir=%{_infodir} --mandir=%{_mandir}
%else
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
	../configure --enable-threads --enable-shared \
	--prefix=/usr --with-local-prefix=/usr/local \
	--infodir=%{_infodir} --mandir=%{_mandir}
%endif
make

%install
cd obj-%{_target_cpu}
mkdir -p $RPM_BUILD_ROOT%{_infodir}
make install install-info prefix=$RPM_BUILD_ROOT/usr \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir}

%files
/usr/bin/jv-convert
/usr/lib/libgcj.so.0
/usr/lib/libgcj.so.0.0.0
/usr/lib/libgcjgc.so.0
/usr/lib/libgcjgc.so.0.0.0
/usr/lib/libzgcj.so.0
/usr/lib/libzgcj.so.0.0.0
/usr/share/libgcj.zip

%files devel
/usr/lib/libgcj.a
/usr/lib/libgcj.la
/usr/lib/libgcj.so
/usr/lib/libgcjgc.a
/usr/lib/libgcjgc.la
/usr/lib/libgcjgc.so
/usr/lib/libzgcj.a
/usr/lib/libzgcj.la
/usr/lib/libzgcj.so
/usr/lib/libgcj.spec

%changelog -n libgcj
* Thu Mar 15 2001 - pthomas@suse.de
- Make package compile with an ISO C++ compliant compiler,
  mostly fixes in the Boehm GC. Needed for AXP.
* Mon Oct 30 2000 - kukuk@suse.de
- Fix requires
- Create devel subpackage
* Mon Jul 03 2000 - kukuk@suse.de
- Fix compiling on SPARC
* Wed Jun 28 2000 - uli@suse.de
- disabled threads on PPC and SPARC
* Mon May 22 2000 - ro@suse.de
- update to 2.95.1 , added -D_GNU_SOURCE
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
- added automake to list of packages needed for building libgcj
* Sat Feb 26 2000 - ro@suse.de
- added gpp,libgpp to neededforbuild
* Thu Feb 24 2000 - ro@suse.de
- initial revision
